@import "./variables";
$cover-bg-heigth: 162px;
$img-size: 144px;

.course {
  &_list {
    flex-grow: 1;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: $size-4;
  }

  &_item {
    display: flex;
    flex-direction: column;
    height: max-content;
    border-radius: $size-6;
    box-shadow: 0px 10px 13px -4px rgba(35, 35, 95, 0.19);
    overflow: hidden;
    cursor: pointer;

    &_cover {
      display: flex;
      align-items: center;
      justify-content: center;
      height: $cover-bg-heigth;

      img {
        width: $img-size;
        height: $img-size;
        object-fit: contain;
      }
    }

    &_title {
      padding: $size-3 $size-6 $size-6;
      font-family: NunitoBold;
      font-weight: 800;
      font-size: $size-6;
      line-height: $size-6;
    }
  }
}